<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="UTF-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<title>ejercicio 5 javascript</title>
<script type="text/javascript">

var texto = "marvel mola!";
var textoNuevo = "";

console.log(texto.length)

for(i = 0; i < texto.length; i++) {
        if (texto.charAt(i) !== " ") {
            textoNuevo += texto.charAt(i) + (i+1 != texto.length ? "-" : "");
        }
}

console.log(textoNuevo)

</script>
</head>

<body>

</body>
</html>